routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('employee', 'EmployeController')->middleware('auth');
Route::resource('company', 'CompanyController')->middleware('auth');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Company.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Company extends Model
{
    protected $table = 'companies';
    protected $fillable = ['name','email','logo','website'];

    public function employe(){
        return $this->hasMany(Employee::class);
    }
}

app/Employee.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    protected $table = 'employees';
    protected $fillable = ['name','email','company_id'];

    public function company(){
        return $this->belongsTo(Company::class);
    }
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/CompanyController.php
<?php

namespace App\Http\Controllers;

use App\Company;
use App\Http\Requests\CompanyPost;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class CompanyController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $company = Company::all();
        return view('company.index',compact('company'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(CompanyPost $request)
    {
        if ($request->hasFile('logo')) {
            $logo = $request->file('logo')->store('company');
        }
        $company = Company::create([
            'name' => $request->name,
            'email' => $request->email,
            'logo' => $logo,
            'website' => $request->website
        ]);

        return redirect()->back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $company = Company::find($id);

        return view('company.edit',compact('company'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(CompanyPost $request, $id)
    {
        $company = Company::find($id);
        
        $logo = $company->logo;
        if ($request->hasFile('logo')) {
             Storage::delete($company->logo);
            $logo = $request->file('logo')->store('company');
        }
        $company->update([
            'name' => $request->name,
            'email' => $request->email,
            'logo' => $logo,
            'website' => $request->website
        ]);

        return redirect()->route('company.index');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $company = Company::find($id);
        $company->delete();

        return redirect()->back();
        
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/EmployeController.php
<?php

namespace App\Http\Controllers;

use App\Company;
use App\Employee;
use App\Http\Requests\EmployeePost;
use Illuminate\Http\Request;

class EmployeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $employe = Employee::all();
        $company = Company::all();
        return view('employee.index',compact('employe','company'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(EmployeePost $request)
    {
        $employe = Employee::create($request->all());

       return redirect()->back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $employe = Employee::find($id);
        $company = Company::all();

        return view('employee.edit',compact('employe','company'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(EmployeePost $request, $id)
    {
        $employe = Employee::find($id);

        $employe->update($request->all());

        return redirect()->route('employee.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $employe = Employee::find($id);
        $employe->delete();

        return redirect()->back();
    }
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use App\Name;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    // public function __construct()
    // {
    //     $this->middleware('auth');
    // }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
    
}

resources/views/company/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Company</div>

                <div class="card-body">
                 
                    <form action="{{ route('company.update', $company->id) }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')
                        @if ($errors->any())
              <div class="alert alert-danger">
                  <ul>
                      @foreach ($errors->all() as $error)
                          <li>{{ $error }}</li>
                      @endforeach
                  </ul>
              </div>
          @endif
                          <div class="form-group">
                              <label for="">Nama Company</label>
                              <input type="text" name="name" id="" class="form-control" value="{{ $company->name }}">
                          </div>
                          <div class="form-group">
                              <label for="">email</label>
                              <input type="email" name="email" id="" class="form-control" value="{{ $company->email }}">
                          </div>
                          <div class="form-group">
                              <label for="">Logo</label>
                              <input type="file" name="logo" id="" class="form-control">
                          </div>
                          <div class="form-group">
                              <label for="">website</label>
                              <input type="text" name="website" id="" class="form-control" value="{{ $company->website }}">
                          </div>
                          <button type="submit" class="btn btn-primary">Edit</button>
                          <a href="{{ route('company.index') }}" class="btn btn-secondary">Cancel</a>
                        </form>

 
  
 
 
                    
                    
                       
                     
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/company/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Company</div>

                <div class="card-body">
                   <!-- Button trigger modal -->
<button type="button" class="btn btn-primary mb-2" data-toggle="modal" data-target="#staticBackdrop">
    Create Company
  </button>
  
  <!-- Modal -->
  <div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">Modal title</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <form action="{{ route('company.store') }}" method="POST" enctype="multipart/form-data">
              @csrf
              @method('POST')
              @if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
                <div class="form-group">
                    <label for="">Nama Company</label>
                    <input type="text" name="name" id="" class="form-control">
                </div>
                <div class="form-group">
                    <label for="">email</label>
                    <input type="email" name="email" id="" class="form-control">
                </div>
                <div class="form-group">
                    <label for="">Logo</label>
                    <input type="file" name="logo" id="" class="form-control">
                </div>
                <div class="form-group">
                    <label for="">website</label>
                    <input type="text" name="website" id="" class="form-control">
                </div>
                <button type="submit" class="btn btn-primary">Create</button>
              </form>
        </div>

      </div>
    </div>
  </div>
                    
                    <table class="table">
                        <thead class="thead-dark">
                          <tr>
                            <th scope="col">No</th>
                            <th scope="col">Company </th>
                            <th scope="col">Email</th>
                            <th>Logo</th>
                            <th>Website</th>
                            <th>Aksi</th>
                          </tr>
                        </thead>
                        <tbody>
                            <?php $no = 1;?>
                            @foreach ($company as $com)  
                                               
                            <tr>
                                <th>{{ $no++ }}</th>
                                <th>{{ $com->name }}</th>
                                <th>{{ $com->email }}</th>
                                <th>
                                <img src="{{asset('storage/'.$com->logo)}}" width="100" height="100">
                                </th>
                                <th>{{ $com->website }}</th>
                                <th>
                                  <form action="{{ route('company.destroy', $com->id) }}" method="POST">
                                    @csrf
                                    @method("DELETE")

                                  
                                    <a href="{{ route('company.edit', $com->id) }}"class="btn btn-sm btn-info">Edit</a>
                                    <button type="submit" class="btn btn-sm btn-danger">Hapus</button>
                                  </form> 
                            </tr>
                            @endforeach
                        </tbody>
                      </table>
                     
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/employee/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Employee</div>

                <div class="card-body">
                    <form action="{{ route('employee.update',$employe->id) }}" method="POST">
                        @csrf
                        @method("PUT")
          
                        @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                          <div class="form-group">
                              <label for="">Nama</label>
                              <input type="text" name="name" id="" class="form-control" value="{{ $employe->name }}">
                          </div>
                          <div class="form-group">
                              <label for="">email</label>
                              <input type="email" name="email" id="" class="form-control" value="{{ $employe->email }}">
                          </div>
                          <div class="form-group">
                              <label for="">Company</label>
                              <select name="company_id" id="" class="form-control">
                                @foreach ($company as $com)
                                  <option value="{{ $com->id }}">{{ $com->name }}</option>
                                  @endforeach
                              </select>
                          </div>
                          
                          <button type="submit" class="btn btn-primary">Edit</button>
                        </form>    
                      
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/employee/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Employee</div>

                <div class="card-body">
<!-- Button trigger modal -->
<button type="button" class="btn btn-primary mb-2" data-toggle="modal" data-target="#staticBackdrop">
   Create Employe
  </button>
  
  <!-- Modal -->
  <div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">Create Company</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <form action="{{ route('employee.store') }}" method="POST">
              @csrf
              @method("POST")

              @if ($errors->any())
              <div class="alert alert-danger">
                  <ul>
                      @foreach ($errors->all() as $error)
                          <li>{{ $error }}</li>
                      @endforeach
                  </ul>
              </div>
          @endif
                <div class="form-group">
                    <label for="">Nama</label>
                    <input type="text" name="name" id="" class="form-control" >
                </div>
                <div class="form-group">
                    <label for="">email</label>
                    <input type="email" name="email" id="" class="form-control" >
                </div>
                <div class="form-group">
                    <label for="">Company</label>
                    <select name="company_id" id="" class="form-control">
                      @foreach ($company as $com)
                        <option value="{{ $com->id }}">{{ $com->name }}</option>
                        @endforeach
                    </select>
                </div>
                
                <button type="submit" class="btn btn-primary">Create</button>
              </form>
        </div>
        
      </div>
    </div>
  </div>
                    
                    <table class="table">
                        <thead class="thead-dark">
                          <tr>
                            <th scope="col">No</th>
                            <th scope="col">Nama</th>
                            <th scope="col">Company </th>
                            <th scope="col">Email</th>
                            <th>Aksi</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <?php $no =1; ?>
                            @foreach ($employe as $emp)
                            <td>{{ $no++ }}</td>
                            <td>{{ $emp->name }}</td>
                            <td>{{ $emp->company->name }}</td>
                            <td>{{ $emp->email }}</td>
                            <td>
                              <form action="{{ route('employee.destroy', $emp->id) }}" method="POST">
                                @csrf
                                @method("DELETE")
                              <a href="{{ route('employee.edit', $emp->id) }}" class="btn btn-sm btn-info">Edit</a>
                              <button type="submit" class="btn btn-sm btn-danger">Hapus</button>

                            </form>
                            </td>
                            
                          </tr>
                          @endforeach
                        </tbody>
                      </table>
                      
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Dashboard</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    You are logged in!
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <a class="navbar-brand" href="{{ route('company.index')}}">
                   Company
                </a>
                <a class="navbar-brand" href="{{ route('employee.index') }}">
                   Employee
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>